<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_order_comments', function (Blueprint $table) {
            $table->id();
            $table->integer('order_id')->unsigned()->comment("订单id");
            $table->integer('admin_id')->unsigned()->comment("管理员id");
            $table->string('way')->nullable()->comment("方式");
            $table->text('content')->nullable()->comment("内容");
            $table->string("photo")->nullable()->comment("图片");
            $table->text('result')->nullable()->comment("结果");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_order_comments');
    }
};
